Table of Contents

## Name

XtAppAddTimeOut, XtRemoveTimeOut - register and remove timeouts

## Syntax

XtIntervalId XtAppAddTimeOut(XtAppContext app_context, unsigned long
  interval, XtTimerCallbackProc proc, XtPointer client_data);
void XtRemoveTimeOut(XtIntervalId timer);

## Arguments

Specifies the application context for which the timer is to be set.

Specifies the argument that is to be passed to the specified procedure when Cd.

Specifies the time interval in milliseconds.

Specifies the procedure that is to be called when time expires.

Specifies the ID for the timeout request to be destroyed.

## Description

The XtAppAddTimeOut function creates a timeout and returns an identifier for it. The timeout value is set to interval. The callback procedure is called when the time interval elapses, and then the timeout is removed.

The XtRemoveTimeOut function removes the timeout. Note that timeouts are automatically removed once they trigger.

## See Also

XtAppAddInput(3Xt) ,XtAppAddSignal(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also